/**
 * Главное окно показа контента
 *
 * @extends Container_Element_Abstract
 */
function Main_Div(params)
{
    Main_Div.superclass.constructor.call(this);
    
    var oMainDiv = Rup.create('div');
    var oContainerDiv = Rup.create('div');
    
    oMainDiv.appendChild(oContainerDiv);
    
    this._setBaseElement(oMainDiv);
    this._setContainerElement(oContainerDiv);
    
    /**
     * Ссылка на панель
     *
     * @var Pannel
     */
    this.pannel = new Pannel();
    
    this.appendChild(this.pannel);
}

Rup.extend(Main_Div, Container_Element_Abstract);

Main_Div.prototype.getLink = function(params)
{
	return new Link(params);
}